<div class="data-sensitivity-wrapper"
     [matTooltipPosition]="'left'"
     [matTooltipShowDelay]="TIME_BEFORE_DISPLAY_TOOLTIP"
     [matTooltip]="'deposit.tooltips.dataSensitivity' | translate"
>
  <dlcm-shared-data-sensitivity [dataSensitivity]="formControl?.value"
                                [withTooltip]="false"
                                class="icon"
  ></dlcm-shared-data-sensitivity>
  <mat-form-field *ngIf="formControl"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(formControl, displayEmptyRequiredFieldInError)"
                  aria-label="data sensitivity"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.sensitivity | translate }}</mat-label>
    <mat-select [solidifyDataTest]="dataTestEnum.depositDataSensitivity"
                [formControl]="formControl"
                [solidifyValidation]="errors"
    >
      <mat-option *ngFor="let dataSensitivity of dataSensitivityEnumValues"
                  [value]="dataSensitivity.key"
                  [disabled]="(dataSensitivity.enabled | isFalse)"
                  [matTooltip]="((dataSensitivity.enabled | isFalse) ? labelTranslateEnum.dataTagIsIncompatibleWithTheSelectedAccessLevel :
                  dataSensitivity.infoToTranslate) | translate"
                  [matTooltipPosition]="'left'"
                  solidifyTooltipOnEllipsis
      >
        <ng-template [ngIf]="dataSensitivity.key === dataSensitivityEnum.UNDEFINED"
                     [ngIfElse]="sensitivity"
        >{{dataSensitivity.value | translate}}</ng-template>
        <ng-template #sensitivity>
          [{{dataSensitivity.value | translate}}] {{dataSensitivity.infoToTranslate | translate}}
        </ng-template>
      </mat-option>
    </mat-select>
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>
</div>
